## ros-noetic-rm-orientation-controller 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
         rm_common
 
         pluginlib
+        controller_interface
         forward_command_controller
         tf2_geometry_msgs
         angles
