=== debian/control ===
Source: ros-noetic-rm-orientation-controller
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-forward-command-controller, ros-noetic-pluginlib, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-orientation-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-controller-interface, ros-noetic-forward-command-controller, ros-noetic-pluginlib, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Description: RoboMaster standard robot orientation controller
